%define language ko
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Korean
%define name mozilla-firefox-%{locale}
%define version 1.5.0.4
%define release %mkrel 1
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
# source of this package is really taken from
# http://freeweb.siol.net/kraka/
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary:	%{langname} interface for Firefox 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{xpidir}/%language.xpi
# (fc) 1.5.0.1-3mdk fix rdf file
Patch0:		mozilla-firefox-ko-1.5.0.1-fixrdf.patch.bz2
License:	GPL
Group:		Networking/WWW
Url:		http://www.mozilla.org/products/firefox/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	mozilla-firefox = %firefox_version
Requires:	locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c
%patch0 -p1

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/

sed -i -e 's/maxVersion>1.5.0.2/maxVersion>1.5.0.*/g' %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/install.rdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale}@firefox.mozilla.org

%changelog
* Mon Jun 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.4-1mdv2007.0
- Rebuild for 1.5.0.4

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-2mdk
- Use real 1.5.0.2 xpi

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Tue Feb 28 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-3mdk
- Patch0: fix install.rdf file

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-2mdk
- Fix file permissions
- Fix buildrequires

* Fri Feb 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.1-1mdk
- New release 1.5.0.1

* Wed Jan 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-1mdk
- New release 1.5

* Tue Oct 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Mon May 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Run db rebuild script only when it exists

* Thu May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- 1.0.4

* Fri Apr 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.2-3mdk
- Rebuild

* Sat Apr 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.2-2mdk
- Really rebuild for 1.0.2

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Wed Mar 23 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.1-1mdk
- First korean rpm
